[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.UpdateInsertMark

Sets or removes an insertion mark at the specified position based on the values in Options.

## Declaration

Source position: comctrls.pp line 3635

`protected procedure TCustomTreeView.UpdateInsertMark(`
`X: Integer;`
`Y: Integer`
`); virtual;`

## Arguments

`X` |  | Horizontal coordinate for the insertion mark.
`Y` |  | Vertical coordinate for the insertion mark.

## Description

An insertion mark is removed if tvoAutoInsertMark has not been included in the Options for the control, and at design-time. Calls SetInsertMark to create and display the insertion mark.